curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{id}/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"monitor_type": "ping",
"port": 2147483647,
"protocol": "tcp",
"interval_seconds": 2147483647,
"timeout_seconds": 2147483647,
"retries": 2147483647,
"is_enabled": true,
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"monitor_type": "ping",
"target": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"region": "us",
"is_active": true,
"is_default": true
},
"status": "up",
"last_check_at": "2023-11-07T05:31:56Z",
"last_latency_ms": "<string>",
"consecutive_failures": 123,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"port": 2147483647,
"protocol": "tcp",
"interval_seconds": 2147483647,
"timeout_seconds": 2147483647,
"retries": 2147483647,
"is_enabled": true
}curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{id}/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"monitor_type": "ping",
"port": 2147483647,
"protocol": "tcp",
"interval_seconds": 2147483647,
"timeout_seconds": 2147483647,
"retries": 2147483647,
"is_enabled": true,
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"monitor_type": "ping",
"target": "<string>",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"region": "us",
"is_active": true,
"is_default": true
},
"status": "up",
"last_check_at": "2023-11-07T05:31:56Z",
"last_latency_ms": "<string>",
"consecutive_failures": 123,
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"port": 2147483647,
"protocol": "tcp",
"interval_seconds": 2147483647,
"timeout_seconds": 2147483647,
"retries": 2147483647,
"is_enabled": true
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
A UUID string identifying this Instance.
Unique identifier of the monitor.
255ping - Pingport - Portping, port 0 <= x <= 4294967295tcp - TCPudp - UDPtcp, udp 0 <= x <= 42949672950 <= x <= 42949672950 <= x <= 4294967295255ping - Pingport - Portping, port Show child attributes
up - Updown - Downdegraded - Degradedpending - Pendingup, down, degraded, pending ^-?\d{0,8}(?:\.\d{0,2})?$0 <= x <= 4294967295tcp - TCPudp - UDPtcp, udp 0 <= x <= 42949672950 <= x <= 42949672950 <= x <= 4294967295